Bug 1094566 - Flatpak 0.10.4 "open(O_TMPFILE): Permission denied"
Flatpak 0.10.4 "open(O_TMPFILE): Permission denied"
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Other
Current
x86-64 Other
: P5 - None : Normal (vote)
: ---
Assigned To: openSUSE GNOME
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-05-24 19:33 UTC by O M
Modified: 2019-12-30 14:18 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description O M 2018-05-24 19:33:51 UTC
Hello, I installed flatpak, added Flathub, restarted my system but I get permission error when it tries to download a runtime:


flatpak install flathub com.valvesoftware.Steam 
Required runtime for com.valvesoftware.Steam/x86_64/stable (org.freedesktop.Platform/x86_64/1.6) is not installed, searching...
Found in remote flathub, do you want to install it? [y/n]: y
Installing: org.freedesktop.Platform/x86_64/1.6 from flathub
[####=               ] Downloading: 31,3 MB/185,7 MB (978,4 kB/s)              
error: While pulling runtime/org.freedesktop.Platform/x86_64/1.6 from remote flathub: Writing content object: open(O_TMPFILE): Permission denied


I found other users had likely the same issue and it seems to have been fixed in a newer version:
https://github.com/flatpak/flatpak/issues/1507

I also tried reinstalling flatpak (with a reboot) and updating my system since encountering the error but I still run into the same issue. I am currently on Tumbleweed 20180520

Maybe updating flatpak would be a good idea, the current version is from February and there are plenty newer releases available.

Thank you for any help!
Comment 1 O M 2018-06-01 06:56:16 UTC
Can I provide more information?
Is there a workaround to this bug?
...anyone please?
Comment 2 Dominique Leuenberger 2018-06-01 07:49:56 UTC
Flatpak 0.11.7 has already been submitted to Tumbleweed and should hopefully appear in the next days.
Comment 3 O M 2018-06-01 21:00:44 UTC
thank you, I will try it!
Comment 4 Dominique Leuenberger 2019-12-30 14:18:59 UTC
(In reply to Dominique Leuenberger from comment #2)
> Flatpak 0.11.7 has already been submitted to Tumbleweed and should hopefully
> appear in the next days.

Did not hear back after the update and by now we are reaching flatpak 1.6 - so let's close as fixed